package com.gmh.controller;

import com.gmh.exception.ServiceException;
import com.gmh.entity.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.BindException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import javax.servlet.http.HttpServletResponse;


@Slf4j
@RestControllerAdvice
public class GlobalExceptionController {

    @ExceptionHandler(BindException.class)
    public R handleBindException(BindException e) {
        log.error(e.getMessage());
        return R.error(e.getAllErrors().get(0).getDefaultMessage());
    }

    @ExceptionHandler(ServiceException.class)
    public R handleServiceException(ServiceException e, HttpServletResponse response) {
        log.error(e.getMessage());
        response.setStatus(500);
        return R.error(e.getMessage());
    }

}
